Android Güvenlik Bülteni—Haziran 2022

6 Haziran 2022 tarihinde yayınlandı | 22 Temmuz 2022'de güncellendi

Android Güvenlik Bülteni, Android cihazlarını etkileyen güvenlik açıklarının ayrıntılarını içerir. 2022-06-05 veya sonraki güvenlik yaması seviyeleri, tüm bu sorunları giderir. Bir cihazın güvenlik düzeltme eki düzeyini nasıl kontrol edeceğinizi öğrenmek için Android sürümünüzü kontrol edin ve güncelleyin bölümüne bakın.

Android iş ortaklarına, tüm sorunlar yayınlanmadan en az bir ay önce bildirilir. Bu sorunlar için kaynak kodu yamaları Android Açık Kaynak Projesi (AOSP) deposunda yayınlandı ve bu bültenden bağlantı verildi. Bu bülten ayrıca AOSP dışındaki yamalara bağlantılar içerir.

Bu sorunların en şiddetlisi, Sistem bileşeninde ek yürütme ayrıcalıkları gerekmeden uzaktan kod yürütülmesine yol açabilecek kritik bir güvenlik açığıdır. Önem derecesi değerlendirmesi , platform ve hizmet azaltmalarının geliştirme amacıyla kapatıldığı veya başarılı bir şekilde atlandığı varsayılarak, güvenlik açığından yararlanmanın muhtemelen etkilenen bir cihaz üzerindeki etkisine dayanır.

Android platformunun güvenliğini artıran Android güvenlik platformu korumaları ve Google Play Protect ile ilgili ayrıntılar için Android ve Google Play Protect azaltıcı etkenler bölümüne bakın.

Android ve Google hizmeti azaltmaları

Bu, Android güvenlik platformu ve Google Play Protect gibi hizmet korumaları tarafından sağlanan azaltmaların bir özetidir. Bu yetenekler, güvenlik açıklarından Android'de başarıyla yararlanma olasılığını azaltır.

  • Android platformunun daha yeni sürümlerinde yapılan geliştirmeler sayesinde Android'deki birçok sorundan yararlanma daha zor hale getirilmiştir. Tüm kullanıcıları, mümkün olduğunda Android'in en son sürümüne güncellemeye teşvik ediyoruz.
  • Android güvenlik ekibi, Google Play Protect aracılığıyla kötüye kullanımı etkin bir şekilde izler ve kullanıcıları Zararlı Olabilecek Uygulamalar hakkında uyarır. Google Play Protect, Google Mobil Hizmetleri olan cihazlarda varsayılan olarak etkindir ve özellikle Google Play dışından uygulama yükleyen kullanıcılar için önemlidir.

2022-06-01 güvenlik yaması düzeyinde güvenlik açığı ayrıntıları

Aşağıdaki bölümlerde, 2022-06-01 yama düzeyi için geçerli olan güvenlik açıklarının her biri için ayrıntılar sunuyoruz. Güvenlik açıkları, etkiledikleri bileşen altında gruplandırılmıştır. Sorunlar aşağıdaki tablolarda açıklanmıştır ve CVE Kimliği, ilgili referanslar, güvenlik açığı türü , önem derecesi ve güncellenmiş AOSP sürümlerini (varsa) içerir. Mevcut olduğunda, sorunu ele alan genel değişikliği AOSP değişiklik listesi gibi hata kimliğine bağlarız. Birden fazla değişiklik tek bir hatayla ilgili olduğunda, hata kimliğini izleyen sayılara ek referanslar bağlanır. Android 10 ve sonraki sürümlere sahip cihazlar, Google Play sistem güncellemelerinin yanı sıra güvenlik güncellemelerini de alabilir.

Çerçeve

Bu bölümdeki en ciddi güvenlik açığı, ek yürütme ayrıcalığına gerek kalmadan yerel ayrıcalığın yükselmesine neden olabilir.

CVE Referanslar Tip önem Güncellenmiş AOSP sürümleri
CVE-2021-39691 A-15799241 EoP Yüksek 10, 11, 12
CVE-2022-20006 A-151095871 EoP Yüksek 10, 11, 12, 12L
CVE-2022-20125 A-194402515 EoP Yüksek 10, 11, 12, 12L
CVE-2022-20138 A-210469972 [ 2 ] EoP Yüksek 10, 11, 12, 12L

Medya Çerçevesi

Bu bölümdeki güvenlik açığı, ek yürütme ayrıcalığına gerek kalmadan uzaktan kod yürütülmesine neden olabilir.

CVE Referanslar Tip önem Güncellenmiş AOSP sürümleri
CVE-2022-20130 A-224314979 RCE kritik 10, 11, 12, 12L

sistem

Bu bölümdeki en ciddi güvenlik açığı, ek yürütme ayrıcalıkları gerekmeden uzaktan kod yürütülmesine neden olabilir.

CVE Referanslar Tip önem Güncellenmiş AOSP sürümleri
CVE-2022-20127 A-221862119 RCE kritik 10, 11, 12, 12L
CVE-2022-20140 A-227618988 EoP kritik 12, 12L
CVE-2022-20145 A-201660636 EoP kritik 11
CVE-2022-20126 A-203431023 EoP Yüksek 10, 11, 12, 12L
CVE-2022-20133 A-206807679 EoP Yüksek 10, 11, 12, 12L
CVE-2022-20134 A-218341397 [ 2 ] EoP Yüksek 10, 11, 12, 12L
CVE-2022-20135 A-220303465 EoP Yüksek 10, 11, 12, 12L
CVE-2022-20137 A-206986392 EoP Yüksek 12, 12L
CVE-2022-20142 A-216631962 EoP Yüksek 10, 11, 12, 12L
CVE-2022-20144 A-187702830 [ 2 ] EoP Yüksek 10, 11, 12, 12L
CVE-2022-20147 A-221216105 EoP Yüksek 10, 11, 12, 12L
CVE-2022-20123 A-221852424 İD Yüksek 10, 11, 12, 12L
CVE-2022-20131 A-221856662 İD Yüksek 10, 11, 12, 12L
CVE-2022-20129 A-217934478 [ 2 ] DoS Yüksek 10, 11, 12, 12L
CVE-2022-20143 A-220735360 DoS Yüksek 10, 11, 12, 12L

Google Play sistem güncellemeleri

Aşağıdaki sorunlar Project Mainline bileşenlerine dahil edilmiştir.

Bileşen CVE
Medya Codec'leri CVE-2022-20130

2022-06-05 güvenlik yaması düzeyinde güvenlik açığı ayrıntıları

Aşağıdaki bölümlerde, 2022-06-05 yama düzeyi için geçerli olan güvenlik açıklarının her biri için ayrıntılar sunuyoruz. Güvenlik açıkları, etkiledikleri bileşen altında gruplandırılmıştır. Sorunlar aşağıdaki tablolarda açıklanmıştır ve CVE Kimliği, ilgili referanslar, güvenlik açığı türü , önem derecesi ve güncellenmiş AOSP sürümlerini (varsa) içerir. Mevcut olduğunda, sorunu ele alan genel değişikliği AOSP değişiklik listesi gibi hata kimliğine bağlarız. Birden fazla değişiklik tek bir hatayla ilgili olduğunda, hata kimliğini izleyen sayılara ek referanslar bağlanır.

Çekirdek bileşenleri

Bu bölümdeki en ciddi güvenlik açığı, ek yürütme ayrıcalığına gerek kalmadan yerel ayrıcalığın yükselmesine neden olabilir.

CVE Referanslar Tip önem Bileşen
CVE-2021-4154 A-218836280
yukarı akış çekirdeği
EoP Yüksek Çekirdek
CVE-2022-20141 A-112551163
yukarı akış çekirdeği
EoP Yüksek giriş soketleri
CVE-2022-24958 A-220261709
Yukarı akış çekirdeği [ 2 ] [ 3 ] [ 4 ]
EoP Yüksek USB
CVE-2022-25258 A-222023189
Yukarı akış çekirdeği [ 2 ]
EoP Yüksek USB
CVE-2022-20132 A-188677105
Yukarı akış çekirdeği [ 2 ] [ 3 ] [ 4 ] [ 5 ] [ 6 ] [ 7 ]
İD Yüksek USB HID
CVE-2022-25375 A-162326603
yukarı akış çekirdeği
İD Yüksek RNDIS sürücüsü

MediaTek bileşenleri

Bu güvenlik açığı MediaTek bileşenlerini etkiler ve daha fazla ayrıntı doğrudan MediaTek'ten edinilebilir. Bu sorunun önem derecesi değerlendirmesi doğrudan MediaTek tarafından sağlanmaktadır.

CVE Referanslar önem Bileşen
CVE-2022-21745
A-228972609
M-ALPS06468872 *
Yüksek WIFI Bellenimi

Unisoc bileşenleri

Bu güvenlik açığı Unisoc bileşenlerini etkiler ve daha fazla ayrıntı doğrudan Unisoc'tan edinilebilir. Bu sorunun önem derecesi değerlendirmesi doğrudan Unisoc tarafından sağlanmaktadır.

CVE Referanslar önem Bileşen
CVE-2022-20210
A-228868888
U-1770644 *
kritik Modem

Qualcomm kapalı kaynak bileşenleri

Bu güvenlik açıkları Qualcomm kapalı kaynak bileşenlerini etkiler ve uygun Qualcomm güvenlik bülteninde veya güvenlik uyarısında daha ayrıntılı olarak açıklanmıştır. Bu sorunların önem derecesi değerlendirmesi doğrudan Qualcomm tarafından sağlanır.

CVE Referanslar önem Bileşen
CVE-2021-35083
A-209481130 * Yüksek Kapalı kaynak bileşeni
CVE-2021-35102
A-209469926 * Yüksek Kapalı kaynak bileşeni
CVE-2021-35111
A-209469960 * Yüksek Kapalı kaynak bileşeni
CVE-2022-22082 A-223211217 * Yüksek Kapalı kaynak bileşeni
CVE-2022-22083 A-223210917 * Yüksek Kapalı kaynak bileşeni
CVE-2022-22084
A-223209816 * Yüksek Kapalı kaynak bileşeni
CVE-2022-22085 A-223209306 * Yüksek Kapalı kaynak bileşeni
CVE-2022-22086 A-223211218 * Yüksek Kapalı kaynak bileşeni
CVE-2022-22087 A-223209610 * Yüksek Kapalı kaynak bileşeni
CVE-2022-22090 A-223210918 * Yüksek Kapalı kaynak bileşeni

Sık sorulan sorular ve cevaplar

Bu bölüm, bu bülteni okuduktan sonra ortaya çıkabilecek genel soruları yanıtlamaktadır.

1. Cihazımın bu sorunları gidermek için güncellenip güncellenmediğini nasıl belirleyebilirim?

Bir cihazın güvenlik düzeltme eki düzeyini nasıl kontrol edeceğinizi öğrenmek için Android sürümünüzü kontrol edin ve güncelleyin bölümüne bakın.

  • 2022-06-01 veya sonraki güvenlik yaması seviyeleri, 2022-06-01 güvenlik yaması seviyesiyle ilgili tüm sorunları ele alır.
  • 2022-06-05 veya sonraki güvenlik yaması seviyeleri, 2022-06-05 güvenlik yaması seviyesi ve önceki tüm yama seviyeleri ile ilgili tüm sorunları ele alır.

Bu güncellemeleri içeren cihaz üreticileri, yama dizesi düzeyini şu şekilde ayarlamalıdır:

  • [ro.build.version.security_patch]:[2022-06-01]
  • [ro.build.version.security_patch]:[2022-06-05]

Android 10 veya sonraki sürümlerdeki bazı cihazlar için Google Play sistem güncellemesi, 2022-06-01 güvenlik yaması düzeyiyle eşleşen bir tarih dizisine sahip olacaktır. Güvenlik güncellemelerinin nasıl yükleneceği hakkında daha fazla ayrıntı için lütfen bu makaleye bakın.

2. Bu bültende neden iki güvenlik düzeltme eki düzeyi var?

Bu bültende, Android iş ortaklarının tüm Android cihazlarda benzer olan bir dizi güvenlik açığını daha hızlı düzeltme esnekliğine sahip olması için iki güvenlik düzeltme eki düzeyi vardır. Android iş ortaklarının bu bültendeki tüm sorunları düzeltmeleri ve en son güvenlik düzeltme eki düzeyini kullanmaları önerilir.

  • 2022-06-01 güvenlik yaması düzeyini kullanan cihazlar, bu güvenlik yaması düzeyiyle ilişkili tüm sorunların yanı sıra önceki güvenlik bültenlerinde bildirilen tüm sorunların düzeltmelerini içermelidir.
  • 2022-06-05 veya daha yeni güvenlik yaması düzeyini kullanan cihazlar, bu (ve önceki) güvenlik bültenlerinde geçerli tüm yamaları içermelidir.

İş ortaklarının, ele aldıkları tüm sorunlara yönelik düzeltmeleri tek bir güncellemede toplamaları önerilir.

3. Tür sütunundaki girişler ne anlama geliyor?

Güvenlik açığı ayrıntıları tablosunun Tür sütunundaki girişler, güvenlik açığının sınıflandırmasına başvurur.

Kısaltma Tanım
RCE Uzaktan kod yürütme
EoP Ayrıcalığın yükseltilmesi
İD Bilgi ifşası
DoS hizmet reddi
Yok Sınıflandırma mevcut değil

4. Referanslar sütunundaki girişler ne anlama geliyor?

Güvenlik açığı ayrıntıları tablosunun Referanslar sütunu altındaki girişler, referans değerinin ait olduğu kuruluşu tanımlayan bir önek içerebilir.

Önek Referans
A- Android hata kimliği
KK- Qualcomm referans numarası
M- MediaTek referans numarası
N- NVIDIA referans numarası
B- Broadcom referans numarası
U- UNISOC referans numarası

5. Referanslar sütunundaki Android hata kimliğinin yanında * işareti ne anlama gelir?

Herkese açık olmayan sorunlarda, ilgili referans kimliğinin yanında * bulunur. Bu sorunla ilgili güncelleme, genellikle Google Developer sitesinde bulunan Pixel cihazları için en son ikili sürücülerinde bulunur.

6. Güvenlik açıkları neden bu bülten ile Pixel bülteni gibi cihaz/iş ortağı güvenlik bültenleri arasında bölünmüştür?

Bu güvenlik bülteninde belgelenen güvenlik açıkları, Android cihazlarda en son güvenlik düzeltme eki düzeyini bildirmek için gereklidir. Cihaz/ortak güvenlik bültenlerinde belgelenen ek güvenlik açıkları, bir güvenlik düzeltme eki düzeyi bildirmek için gerekli değildir. Android cihaz ve yonga seti üreticileri de Google , Huawei , LGE , Motorola , Nokia veya Samsung gibi ürünlerine özel güvenlik açığı ayrıntılarını yayınlayabilir.

Sürümler

Sürüm Tarih Notlar
1.0 6 Haziran 2022 Bülten Yayınlandı
1.1 7 Haziran 2022 Bülten, AOSP bağlantılarını içerecek şekilde revize edildi
2.0 28 Haziran 2022 CVE-2021-39624, olası bir gerileme nedeniyle 2022-06-01 SPL'den kaldırıldı. Gelecekteki bir SPL için bu düzeltmenin güncellenmiş bir sürümüne ihtiyacımız olabilir.
3.0 22 Temmuz 2022 CVE-2022-20124, olası bir gerileme nedeniyle 2022-06-01 SPL'den kaldırıldı. Gelecekteki bir SPL için bu düzeltmenin güncellenmiş bir sürümünü talep edeceğiz.